Bug 8854 - Jabber opens unnecessary proxy connections
: Jabber opens unnecessary proxy connections
Status: RESOLVED FIXED
Product: Chat & Call & SMS
XMPP
: 5.0/(2.2009.51-1)
: N900 Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: rtcomm@maemo.org
: xmpp-bugs
: https://bugs.freedesktop.org/show_bug...
: upstream
:
:
  Show dependency tree
 
Reported: 2010-02-05 18:51 UTC by make
Modified: 2010-03-15 20:52 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description make (reporter) 2010-02-05 18:51:48 UTC
It seems that upstream bug [1] is present in firmware 2.2009.51-1 using
telepathy-gabble 0.8.8-0maemo1+0m5. Every time I connect to my jabber server
I'm seeing unnecessary proxy connections on my server logs to proxies which are
also mentioned in Ubuntu's bug 487313 [2].

[1] https://bugs.freedesktop.org/show_bug.cgi?id=21151
[2] https://bugs.launchpad.net/ubuntu/+source/telepathy-gabble/+bug/487313
Comment 1 Lucas Maneos 2010-02-09 16:57:45 UTC
Thanks for the report, confirming.

Steps:
1. Install sysklogd.
2. Start with XMPP account offline.
3. Run "tail -f /var/log/syslog|grep -i socks" in a shell session.
4. Run "GABBLE_DEBUG=all /usr/lib/telepathy/telepathy-gabble" in another shell
session and quickly bring XMPP account online.

Sample outcome:
Feb  9 14:54:45 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG
tp-glib/params - tp_cm_param_setter_offset: fallback-socks5-proxies =
[proxy.jabber.org, proxy.jabberfr.org, proxy65.rooyee.biz, proxy.jabbim.cz,
proxy.911910.cn, proxy.downtempo.de, proxy.im.flosoft.biz,
proxy.jabber.bluendo.com, proxy.jabber.dk, proxy.jabber.freenet.de,
proxy.fsinf.at, proxy.jabber.minus273.org, proxy.jabber.planetteamspeak.com,
proxy.jabber.tf-network.de, proxy.jabjab.de, proxy.jabster.pl,
proxy.schokokeks.org, proxy.ubuntu-jabber.de, proxy.ubuntu-jabber.net,
proxy65.unstable.nl, proxy.verdammung.org, proxy.vke.ru, proxy.vodka-pomme.net,
proxy.jabbernet.eu]
Feb  9 14:54:46 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: Need 5 more proxies
Feb  9 14:54:46 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.vke.ru
Feb  9 14:54:46 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.verdammung.org
Feb  9 14:54:46 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy65.unstable.nl
Feb  9 14:54:46 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.ubuntu-jabber.net
Feb  9 14:54:46 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.ubuntu-jabber.de
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: Need 5 more proxies
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.schokokeks.org
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabster.pl
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabjab.de
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabber.tf-network.de
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabber.planetteamspeak.com
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
socks5_proxy_query_reply_cb: Add fallback SOCKS5 proxy: proxy.schokokeks.org
127.0.0.1:7777
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
socks5_proxy_query_reply_cb: Add fallback SOCKS5 proxy: proxy.jabjab.de
89.238.72.227:7777
Feb  9 14:54:57 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
socks5_proxy_query_reply_cb: Add fallback SOCKS5 proxy:
proxy.jabber.planetteamspeak.com 62.75.214.162:7777
Feb  9 14:54:59 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
socks5_proxy_query_reply_cb: Add fallback SOCKS5 proxy:
proxy.jabber.tf-network.de 62.75.218.204:7777
Feb  9 14:55:07 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: Need 1 more proxies
Feb  9 14:55:07 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabber.minus273.org
Feb  9 14:55:17 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: Need 1 more proxies
Feb  9 14:55:17 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.fsinf.at
Feb  9 14:55:27 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: Need 1 more proxies
Feb  9 14:55:27 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabber.freenet.de
Feb  9 14:55:37 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: Need 1 more proxies
Feb  9 14:55:37 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
send_proxy_query: send SOCKS5 query to proxy.jabber.dk
Feb  9 14:55:37 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
socks5_proxy_query_reply_cb: Add fallback SOCKS5 proxy: proxy.jabber.dk
83.221.136.69:7777
Feb  9 14:55:47 Nokia-N900-51-1 telepathy-gabble[14962]: GLIB DEBUG gabble -
query_socks5_proxies: we already have discovered enough proxies (5)
Comment 2 Andre Klapper maemo.org 2010-02-11 17:31:26 UTC
Guillaume, do you know if this is also integrated for PR1.2?
(Assuming that no NB entry is needed)
Comment 3 Guillaume Desmottes 2010-02-11 20:06:01 UTC
AFAIK PR1.2 ships telepathy-gabble 0.8.10 and this issue has been fixed in
0.8.9; so yeah that should be fine.
Comment 4 Andre Klapper maemo.org 2010-02-15 12:39:50 UTC
Great, thanks!

This has been internally.

A future public update released will include the fix. (This is not always
already the next public update.)

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 5 Andre Klapper maemo.org 2010-03-15 20:52:34 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).